Docs
Browser

Browser Save Recording

POST/browser/recordings
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

goal?string
Lengthlength <= 5000
name*string
Lengthlength <= 200
output?

Model-free output: {type:"scrape"} or {type:"extract",fields:{total:{selector:"#total",attribute:"text"}}}.

session_id?string
source_run_id?string

Explicitly save a healed run candidate as a new recording.

start_url?string
task_id?string

Response Body

application/json

curl -X POST "https://example.com/browser/recordings" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "allowed_origins": [      "string"    ],    "created_at": "string",    "goal": "string",    "id": "string",    "name": "string",    "output": {},    "profile_id": "string",    "required_variables": [      "string"    ],    "session_defaults": {},    "start_url": "string",    "steps": [      {}    ]  },  "success": true}